// RGBA functions (slow)
/////////////////

// Draw line
void DrawLineRGBA(SDL_Surface *dst, int x, int y, int x2, int y2, Uint32 c);
// Draw rectangle
void DrawRectangleRGBA(SDL_Surface *dst, int x, int y, int w, int h, Uint32 c);
// Draw box
void DrawBoxRGBA(SDL_Surface *dst, int x, int y, int w, int h, Uint32 c);
// Draw box with border
void DrawBoxWithBorderRGBA(SDL_Surface *dst, int x, int y, int w, int h, Uint32 c, int s, Uint32 c11);
// Draw circle
void DrawCircleRGBA(SDL_Surface *dst, int x, int y, int radius, Uint32 c);
// Draw ellipse
void DrawEllipseRGBA(SDL_Surface *dst, int x, int y, int rx, int ry, Uint32 c);
// Draw filled circle
void DrawFilledCircleRGBA(SDL_Surface *dst, int x, int y, int radius, Uint32 c);
// Draw filled ellipse
void DrawFilledEllipseRGBA(SDL_Surface *dst, int x, int y, int rx, int ry, Uint32 c);
// Draw triangle
void DrawTriangleRGBA(SDL_Surface *dst, int x1, int y1, int x2, int y2, int x3, int y3, Uint32 c);
// Draw filled triangle
void DrawFilledTriangleRGBA(SDL_Surface *dst, int x1, int y1, int x2, int y2, int x3, int y3, Uint32 c);
// Draw regular triangle
void DrawRegularTriangleRGBA(SDL_Surface *dst, int x, int y, int d, Uint32 c);
// Draw regular filled triangle
void DrawRegularFilledTriangleRGBA(SDL_Surface *dst, int x, int y, int d, Uint32 c);

// Rotozoom functions (slow)
/////////////////////

// Rotate surface
SDL_Surface *RotateSurface(SDL_Surface *src, double angle, int smooth);
// Zoom surface
SDL_Surface *ZoomSurface(SDL_Surface *src, double zoomx, double zoomy, int smooth);
// Rotate and zoom surface
SDL_Surface *RotoZoomSurface(SDL_Surface *src, double angle, double zoomx, double zoomy, int smooth);
