// Initialize SDL
SDL_Surface *InitSDL(int w, int h, int d);
// Quit SDL
void QuitSDL();
// Open joystick
void JoystickOpen(int device);
// Draw pixel
void DrawPixel(SDL_Surface *dst, int x, int y, Uint32 c);
// Get pixel color
Uint32 GetPixelColor(SDL_Surface *src, int x, int y);
// Set screen gamma
void SetGamma(float r, float g, float b);
// Show/hide mouse
void ShowMouse(int i);
// Move mouse cursor
void MoveMouse(Uint16 x, Uint16 y);
// Get mouse position
void GetMousePosition(int *x, int *y);
// Draw surface
void DrawSurface(SDL_Surface *dst, SDL_Surface *src, int x, int y);
// Draw surface in the center
void DrawSurfaceCenter(SDL_Surface *dst, SDL_Surface *src, int x, int y);
// Draw a portion of the surface
void DrawSurfacePortion(SDL_Surface *dst, SDL_Surface *src, int x, int y, int x2, int y2, int w, int h);
// Save screenshot
void SaveScreenshot(SDL_Surface *screen);
